Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class MessageDrivenMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.BeanMetaData
                  |
                  +--org.jboss.metadata.MessageDrivenMetaData

All Implemented Interfaces:
  XmlLoadable

public class MessageDrivenMetaData
extends BeanMetaData

Based on SessionMetaData Have to add changes ApplicationMetaData and ConfigurationMetaData

Version:
  $Revision: 1.7.4.4 $
Author:
  Sebastien Alborini, Peter Antman (peter.antman@tim.se), Andreas Schaefer

  Revisions:

  20011031: Andy

  - Ensured that the value in the descriptor does not be compromised by leading and trailing spaces as well as line-breaks
See Also:

Field Summary
`static int` | `AUTO_ACKNOWLEDGE_MODE`
`static int` | `CLIENT_ACKNOWLEDGE_MODE`
`static int` | `DUPS_OK_ACKNOWLEDGE_MODE`
`static byte` | `DURABLE_SUBSCRIPTION`
`static byte` | `NON_DURABLE_SUBSCRIPTION`
`static byte` | `TX_UNSET`

Fields inherited from class org.jboss.metadata.BeanMetaData
`beanType, configurationName, containerManagedTx, ENTITY_TYPE, MDB_TYPE, SESSION_TYPE`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`MessageDrivenMetaData(ApplicationMetaData app)`

Method Summary
`int` | `getAcknowledgeMode()` returns MessageDrivenMetaData.AUTO_ACKNOWLADGE_MODE or MessageDrivenMetaData.DUPS_OK_AKNOWLEDGE_MODE, or MessageDrivenMetaData.CLIENT_ACKNOWLEDGE_MODE
`java.lang.String` | `getClientId()`
`java.lang.String` | `getDefaultConfigurationName()`
`java.lang.String` | `getDestinationJndiName()`
`java.lang.String` | `getDestinationType()`
`java.lang.String` | `getMessageSelector()`
`byte` | `getMethodTransactionType()`
`byte` | `getMethodTransactionType(java.lang.String methodName, java.lang.Class[] params, boolean remote)`
`java.lang.String` | `getPasswd()`
`byte` | `getSubscriptionDurability()` returns MessageDrivenMetaData.DURABLE_SUBSCRIPTION or MessageDrivenMetaData.NON_DURABLE_SUBSCRIPTION
`java.lang.String` | `getUser()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`
`void` | `importJbossXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.BeanMetaData
`addExcludedMethod, addPermissionMethod, addTransactionMethod, getApplicationMetaData, getConfigurationName, getContainerConfiguration, getEjbClass, getEjbLocalRefByName, getEjbLocalReferences, getEjbName, getEjbRefByName, getEjbReferences, getEnvironmentEntries, getExcludedMethods, getHome, getJndiName, getLocal, getLocalHome, getLocalJndiName, getMethodPermissions, getPermissionMethods, getRemote, getResourceEnvReferences, getResourceReferences, getSecurityIdentityMetaData, getSecurityProxy, getSecurityRoleReferences, getTransactionMethods, isBeanManagedTx, isContainerManagedTx, isEntity, isMessageDriven, isSession, trim`

Methods inherited from class org.jboss.metadata.MetaData
`getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_ACKNOWLEDGE_MODE

    public static final int AUTO_ACKNOWLEDGE_MODE

### DUPS_OK_ACKNOWLEDGE_MODE

    public static final int DUPS_OK_ACKNOWLEDGE_MODE

### CLIENT_ACKNOWLEDGE_MODE

    public static final int CLIENT_ACKNOWLEDGE_MODE

### DURABLE_SUBSCRIPTION

    public static final byte DURABLE_SUBSCRIPTION

### NON_DURABLE_SUBSCRIPTION

    public static final byte NON_DURABLE_SUBSCRIPTION

### TX_UNSET

    public static final byte TX_UNSET

Constructor Detail

### MessageDrivenMetaData

    public MessageDrivenMetaData(ApplicationMetaData app)

Method Detail

### getAcknowledgeMode

    public int getAcknowledgeMode()

  returns MessageDrivenMetaData.AUTO_ACKNOWLADGE_MODE or MessageDrivenMetaData.DUPS_OK_AKNOWLEDGE_MODE, or MessageDrivenMetaData.CLIENT_ACKNOWLEDGE_MODE

### getDestinationType

    public java.lang.String getDestinationType()

### getMessageSelector

    public java.lang.String getMessageSelector()

### getDestinationJndiName

    public java.lang.String getDestinationJndiName()

### getUser

    public java.lang.String getUser()

### getPasswd

    public java.lang.String getPasswd()

### getClientId

    public java.lang.String getClientId()

### getMethodTransactionType

    public byte getMethodTransactionType()

### getMethodTransactionType

    public byte getMethodTransactionType(java.lang.String methodName,
                                         java.lang.Class[] params,
                                         boolean remote)

  Overrides:
    `getMethodTransactionType` in class `BeanMetaData`

### getSubscriptionDurability

    public byte getSubscriptionDurability()

  returns MessageDrivenMetaData.DURABLE_SUBSCRIPTION or MessageDrivenMetaData.NON_DURABLE_SUBSCRIPTION

### getDefaultConfigurationName

    public java.lang.String getDefaultConfigurationName()

  Overrides:
    `getDefaultConfigurationName` in class `BeanMetaData`

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `BeanMetaData`

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

  Overrides:
    `importJbossXml` in class `BeanMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.